* {
  margin: 0;
  padding: 0;
  font-family: "poppins", "sans-serif";
  box-sizing: border-box;
  scroll-behavior: smooth;
}
body {
  background-color: #081b29;
  color: #fff;
}
#header {
  width: 100%;
  height: 100vh;
}
.logo {
  font-size: xx-large;
}

.container {
  padding: 10px 10%;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}

nav ul li {
  display: inline-block;
  list-style: none;
  margin: 10px 20px;
}

nav ul li a {
  color: white;
  text-decoration: none;
  font-size: 25px;
  position: relative;
}

nav ul li a::after {
  content: "";
  width: 0;
  height: 3px;
  background: cyan;
  position: absolute;
  left: 0;
  bottom: -6px;
  transition: 0.5s;
}

nav ul li a:hover::after {
  width: 100%;
}

nav ul li a:hover{
  color: white;
}

.header-text {
  margin-top: 15%;
  font-size: 30px;
}

.header-text h1 {
  font-size: 60px;
  margin-top: 20px;
  font-weight: 600;
}

.header-text .text,
.sub-title span,
.con span {
  color: cyan;
  font-weight: 600;
  
}

.icons a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  width: 40px;
  height: 40px;
  background: transparent;
  border: 3px solid #0ef;
  border-radius: 50%;
  font-size: 20px;
  color: #0ef;
  text-decoration: none;
  margin: 30px 15px 30px 0;
}
.icons a:hover {
  background: #0ef;
  color: black;
  box-shadow: 0 0 20px #0ef;
}

.btn-box {
  display: inline-block;
  padding: 12px 28px;
  background: #0ef;
  border-radius: 40px;
  font-size: 16px;
  color: black;
  letter-spacing: 1px;
  text-decoration: none;
  font-weight: 600;
}
.btn-box:hover {
  box-shadow: 0 0 5px cyan, 0 0 25px cyan, 0 0 50px cyan, 0 0 100px cyan,
    0 0 200px cyan;
}

/* About */

#about {
  padding: 80px 0;
  color: whitesmoke;
}

.row {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.about-col-1 {
  flex-basis: 35%;
}

.about-col-1 img {
  width: 100%;
  border-radius: 15px;
}

.about-col-2 {
  flex-basis: 60%;
  
}

.sub-title {
  font-size: 60px;
  font-weight: 600;
  color: #fff;
}

.con {
  font-size: 25px;
  text-align: justify;
  
}



/* Video */

#video {
  text-align: center;
}

.myskill {
  background: #081b29;
}
.skill {
  text-align: center;
  width: 60%;
  margin: 10px auto;
}
.skill li {
  margin: 20px 0;
  padding: 10px;
  list-style-type: none;
}
.bar {
  background: #353b48;
  display: block;
  height: 20px;
  border: 1px solid rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0.1px 3px rgba(0, 0, 0, 0.12), 0.1px 2px rgba(0, 0, 0, 0.24);
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
}
bar:hover {
  box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgbs(0, 0, 0, 0.22);
}
.bar span {
  height: 20px;
  float: left;
  background: linear-gradient(135deg, cyan, cyan);
}
.html {
  width: 90%;
  animation: html 3s;
}
.css {
  width: 70%;
  animation: css 3s;
}
.javascript {
  width: 75%;
  animation: javascript 3s;
}
.python {
  width: 50%;
  animation: python 3s;
}
@keyframes html {
  0% {
    width: 0%;
  }
  100% {
    width: 90%;
  }
}
@keyframes css {
  0% {
    width: 0%;
  }
  100% {
    width: 70%;
  }
}
@keyframes javascript {
  0% {
    width: 0%;
  }
  100% {
    width: 75%;
  }
}
@keyframes python {
  0% {
    width: 0%;
  }
  100% {
    width: 50%;
  }
}
.skill h1 {
  padding-top: 130px;
  text-align: center;
  font-size: 50px;
  font-weight: 600;
}
.skill li h3 {
  font-size: 25px;
}
.skill h1 span {
  color: cyan;
  font-weight: 600;
}

/* Project */

#portfolio {
  padding: 50px 0;
}
.sub-title{
  text-align: center;
}
.work-list {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-gap: 40px;
  margin-top: 50px;
}

.work img {
  width: 100%;
  border-radius: 10px;
  overflow: hidden;
  transition: transform 0.5s;
  height: 30vh;
}

.work {
  border-radius: 10px;
  position: relative;
  overflow: hidden;
}

.layer {
  width: 100%;
  height: 0%;
  background: linear-gradient(rgba(0, 0, 0, 0.1), cyan);
  border-radius: 10px;
  position: absolute;
  left: 0;
  bottom: 0;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0 30px;
  text-align: center;
  transition: height 0.5s;
  font-size: 14px;
}

.layer h3 {
  font-weight: 500;
  margin-bottom: 10px;
}

.layer a {
  margin-top: 20px;
  color: #ffff;
  text-decoration: none;
  font-size: 18px;
  line-height: 60px;
  background: #000;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  text-align: center;
}

.work:hover img {
  transform: scale(1.1);
}

.work:hover .layer {
  height: 100%;
}


.btn {
  display: block;
  margin: 50px auto;
  width: fit-content;
  border: 1px solid cyan;
  padding: 14px 50px;
  border-radius: 6px;
  text-decoration: none;
  color: #fff;
  transition: background 0.5s;
}

.btn:hover {
  background: cyan;
}

.contact-left {
  flex-basis: 35%;
}

.contact-right {
  flex-basis: 60%;
}

.contact-left p {
  margin-top: 30px;
}

.contact-left p i {
  color: cyan;
  margin-right: 15px;
  font-size: 25px;
}

.contact-icons a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: 3px solid #0ef;
    border-radius: 50%;
    font-size: 20px;
    color: #0ef;
    text-decoration: none;
    margin: 30px 15px 30px 0;
}
.contact-icons a:hover{
    background: #0ef;
    color: black;
    box-shadow: 0 0 20px #0ef;
}

.btn.btn2 {
    color: #000;
  display: inline-block;
  background: cyan;
}

.contact-right form {
  width: 100%;
}

form input,
form textarea {
  width: 100%;
  border: 0;
  outline: none;
  background: darkcyan;
  padding: 15px;
  margin: 15px 0;
  color: #fff;
  font-size: 18px;
  border-radius: 6px;
}

form .btn2 {
  padding: 14px 60px;
  font-size: 18px;
  margin-top: 20px;
  cursor: pointer;
}

.copyright {
  width: 100%;
  text-align: center;
  padding: 25px 0;
  background: darkcyan;
  font-weight: 300;
  margin-top: 20px;
}

.fa-xmark,
.fa-bars {
  display: none;
}

nav .fa-solid {
  display: none;
}

.top{
  position: fixed;
  bottom: 5rem;
  left: 2rem;
}
.top i{
  color: black;
  background:cyan;
  font-size: 20px;
  padding: 10px;
  border-radius: 0.5rem;

}

/* Css for moblie */
@media only screen and (max-width: 600px) {
  .logo {
    width: 75%;
  }
  
  .header-text {
    margin-top: 100%;
    font-size: 16px;
  }
  .header-text h1 {
    font-size: 25px;
  }

  nav .fa-solid {
    display: block;
    font-size: 25px;
  }

  nav ul {
    background: cyan;
    position: fixed;
    top: 0;
    right: -200px;
    width: 200px;
    height: max-content;
    color: black;
    border-radius: 10px;
    padding-top: 50px;
    z-index: 2;
    transition: right 0.5s;
  }
  nav ul li {
    display: block;
    margin: 25px;
  }
  nav ul .fa-xmark {
    position: absolute;
    top: 25px;
    left: 25px;
    
    cursor: pointer;
  }
  nav ul li a{
    color: black;
  }

  nav ul li a:hover{
    color: red;
  }
  .sub-title {
    font-size: 40px;
  }
  .sub-con {
    font-size: 15px;
  }
  .about-col-1,
  .about-col-2 {
    flex-basis: 100%;
  }
  .about-col-1 {
    margin-bottom: 30px;
  }
  .about-col-2 {
    font-size: 14px;
  }
  .con{
    font-size: 20px;
    text-align: justify;

  }

  iframe{
    width: 350px;
    height: 200px;
  }

  .skill{
    width: 90%;
  }

  .layer h3 {
    display: none;
  }
  .layer a {
    margin-top: 10px;
    color: white;
    text-decoration: none;
    font-size: 20px;
    line-height: 60px;
    background: #000;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    text-align: center;
  }
  .work-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
    grid-gap: 50px;
    margin-top: 25px;
  }
  .work img {
    width: 100%;
    border-radius: 10px;
    overflow: hidden;
    transition: transform 0.5s;
    height: 10vh;
  }
  .tab-links {
    font-size: 16px;
    margin-right: 20px;
  }
  .contact-left,
  .contact-right {
    flex-basis: 100%;
  }
  .copyright {
    font-size: 14px;
  }
}
